/**
 * al2-checkbox
 *
 * @author Rob Parker <robert.parker@alertlogic.com>
 *
 * @copyright Alert Logic, Inc 2021
 *
 */
import { EventEmitter, OnInit } from '@angular/core';
import { AlOptionItem } from '../../types';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AlCheckboxGroupComponent implements OnInit, ControlValueAccessor {
    label: string;
    options: AlOptionItem[];
    inline?: boolean;
    verticalSpace: boolean;
    hint?: string;
    tip?: string;
    onSelectionChange: EventEmitter<AlOptionItem[]>;
    constructor();
    ngOnInit(): void;
    onTouched: () => void;
    onChange(item: AlOptionItem, checked: boolean): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDef<AlCheckboxGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlCheckboxGroupComponent, "al2-checkbox-group", never, { "label": "label"; "options": "options"; "inline": "inline"; "verticalSpace": "verticalSpace"; "hint": "hint"; "tip": "tip"; }, { "onSelectionChange": "onSelectionChange"; }, never, never>;
}
